@font-face {
	font-family: "Space Mono";
	font-style: italic;
	font-weight: 400;
	src: url(/assets/SpaceMonoItalic.woff2);
}

@font-face {
	font-family: "Space Mono";
	font-style: normal;
	font-weight: 400;
	src: url(/assets/SpaceMonoRegular.woff2);
}

@font-face {
	font-family: "Space Mono";
	font-style: normal;
	font-weight: 700;
	src: url(/assets/SpaceMonoBold.woff2);
}

* { box-sizing: border-box }

html {
	align-items: center;
	background: #1b1b1b;
	display: flex;
	flex-direction: column;
	justify-content: center;
	height: 100vh;
	overflow: hidden;
}

body {
	background: #282828;
	border: 2px solid #a9b665;
	color: #d4be98;
	font-family: "Space Mono";
	font-size: 16px;
	margin: 0;
	width: 800px;
	height: calc(100% - 4lh);
	overflow-y: auto;
	padding: 3ch;
	scrollbar-color: #5a524c #32302f;
}

h1 { font-size: 32px; margin: 0; color: #ea6962 }

h1::before { content: "# " }

h2 { font-size: 24px; margin: 0; color: #a9b665 }

h2::before { content: "## " }

h3 { font-size: 16px; margin: 0; color: #d3869b }

h3::before { content: "### " }

a { color: #7daea3; display: block; text-decoration: none }

a:hover { text-decoration: underline }

p { margin: 0; min-height: 1lh }

ul { margin: 0; padding: 0; list-style: none }

li::before { content: "* " }

blockquote { margin: 0; font-style: italic }

blockquote::before { content: "> " }

pre {
	margin: 0;
	background: #32302f;
	padding: 1lh 2ch 1lh 2ch;
	overflow-x: scroll;
}

img { max-width: 100% }

@media screen and (max-width: 800px) {
	body { border: none; height: 100%; padding: 2ch; width: 100% }
}
